#include <bits/stdc++.h>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
    
	int x, y;
	long long pr = 1;
	long long br = 0;
	cin>>x>>y;
	while(true) {
		if (x == 0) {
			br += y * pr;
			break;
		}
		if (y == 0) {
			br += x * pr;
			break;
		}
		int xmod = x % 10;
		int ymod = y % 10;
		x /= 10;
		y /= 10;
		if(xmod == ymod) {
			br += xmod * pr * 11;
			pr *= 10;
		}
		else br += xmod > ymod ? xmod * pr : ymod * pr;
		pr *= 10;
	}
	cout<<br;
	return 0;
}